#include "run-time.h"

/* Typedefs for referenced classes */

typedef struct {
  D wrapper;
  D element_type_;
  D table_vector_;
  D initial_entries_;
  D grow_size_function_;
  D weakQ_;
} _KLobject_tableGVKd;

typedef struct {
  D wrapper;
  D instanceQ_iep_;
  D debug_name_;
  D class_implementation_class_;
  D class_subtype_bit_;
  D class_module_;
} _KLclassGVKd;

#define  define__KLmm_wrapperGVKi(nrepeated) \
  typedef struct { \
    D wrapper; \
    D mm_wrapper_implementation_class_; \
    D mm_wrapper_subtype_mask_; \
    DWORD mm_wrapper_fixed_part_; \
    DWORD mm_wrapper_variable_part_; \
    D mm_wrapper_number_patterns_; \
    DWORD mm_wrapper_pattern_element_[nrepeated+1]; \
  } _KLmm_wrapperGVKi_##nrepeated;
define__KLmm_wrapperGVKi(1);
define__KLmm_wrapperGVKi(0);

#define  define__KLsimple_object_vectorGVKd(nrepeated) \
  typedef struct { \
    D wrapper; \
    D size_; \
    D vector_element_[nrepeated+1]; \
  } _KLsimple_object_vectorGVKd_##nrepeated;
define__KLsimple_object_vectorGVKd(6);
define__KLsimple_object_vectorGVKd(1);
define__KLsimple_object_vectorGVKd(4);
define__KLsimple_object_vectorGVKd(2);
define__KLsimple_object_vectorGVKd(256);
define__KLsimple_object_vectorGVKd(0);

typedef struct {
  D wrapper;
} _KLobjectGVKd;

typedef struct {
  D wrapper;
  D xep_;
  D function_signature_;
  D mep_;
} _KLsimple_methodGVKe;

typedef struct {
  D wrapper;
  D instanceQ_iep_;
  D debug_name_;
  D class_implementation_class_;
  D class_subtype_bit_;
  D class_module_;
} _KLfunction_classGVKi;

typedef struct {
  D wrapper;
} _KLbooleanGVKd;

typedef struct {
  D wrapper;
  D xep_;
  D function_signature_;
  D Pgf_cache_;
  D debug_name_;
  D generic_function_methods_;
  D discriminator_;
  D incremental_gf_module_;
  D incremental_gf_domain_info_;
  D incremental_gf_method_libraries_;
  D incremental_gf_properties_;
} _KLincremental_generic_functionGVKe;

typedef struct {
  D wrapper;
  D namespace_name_;
  D library_major_version_;
  D library_minor_version_;
  D library_build_count_;
  D used_libraries_;
  D all_used_libraries_;
  D runtime_module_;
  D library_defined_generics_;
  D library_number_static_dispatches_;
  D library_number_dynamic_dispatches_;
} _KLlibraryGVKe;

typedef struct {
  D wrapper;
} _KLunboundGVKe;

typedef struct {
  D wrapper;
  D slot_descriptor_properties_;
  D init_data_slot_;
  D slot_owner_;
  D init_keyword_;
  D slot_getter_;
  D slot_setter_;
  D slot_type_;
} _KLinstance_slot_descriptorGVKe;

typedef struct {
  D wrapper;
  D element_type_;
  D table_vector_;
  D initial_entries_;
  D grow_size_function_;
  D weakQ_;
} _KLtableGVKd;

typedef struct {
  D wrapper;
  D xep_;
  D function_signature_;
  D Pgf_cache_;
  D debug_name_;
  D generic_function_methods_;
  D discriminator_;
} _KLsealed_generic_functionGVKe;

typedef struct {
  D wrapper;
  D head_;
  D tail_;
} _KLempty_listGVKd;

typedef struct {
  D wrapper;
  D signature_properties_;
  D signature_required_;
} _KLobject_signatureGVKe;

typedef struct {
  D wrapper;
  D properties_;
  D engine_node_callback_;
  D engine_node_entry_point_;
} _KLabsent_engine_nodeGVKg;

#define  define__KLbyte_stringGVKd(nrepeated) \
  typedef struct { \
    D wrapper; \
    D size_; \
    char string_element_[nrepeated+1]; \
  } _KLbyte_stringGVKd_##nrepeated;
define__KLbyte_stringGVKd(21);
define__KLbyte_stringGVKd(8);
define__KLbyte_stringGVKd(15);
define__KLbyte_stringGVKd(12);
define__KLbyte_stringGVKd(9);
define__KLbyte_stringGVKd(7);
define__KLbyte_stringGVKd(13);
define__KLbyte_stringGVKd(20);
define__KLbyte_stringGVKd(14);

typedef struct {
  D wrapper;
  D head_;
  D tail_;
} _KLpairGVKd;

typedef struct {
  D wrapper;
  D xep_;
  D method_slot_descriptor_;
} _KLgetter_methodGVKi;

#define  define__KLsimple_closure_methodGVKi(nrepeated) \
  typedef struct { \
    D wrapper; \
    D xep_; \
    D function_signature_; \
    D mep_; \
    D environment_size_; \
    D environment_element_[nrepeated+1]; \
  } _KLsimple_closure_methodGVKi_##nrepeated;
define__KLsimple_closure_methodGVKi(0);

typedef struct {
  D wrapper;
  D signature_properties_;
  D signature_required_;
} _KLsignatureGVKe;

typedef struct {
  D wrapper;
  D xep_;
  D method_slot_descriptor_;
} _KLsetter_methodGVKi;

typedef struct {
  D wrapper;
  D xep_;
  D function_signature_;
  D mep_;
  D iep_;
  D keyword_specifiers_;
} _KLkeyword_methodGVKe;

typedef struct {
  D wrapper;
  D symbol_name_;
} _KLsymbolGVKd;

typedef struct {
  D wrapper;
  D signature_properties_;
  D signature_required_;
  D signature_keys_;
  D signature_key_types_;
} _KLkeyword_signatureGVKe;

typedef struct {
  D wrapper;
  D instanceQ_iep_;
  D limited_collection_class_;
  D limited_collection_element_type_;
  D limited_collection_concrete_class_;
  D limited_collection_size_;
  D limited_collection_dimensions_;
} _KLlimited_vector_typeGVKe;

typedef struct {
  D wrapper;
  D namespace_name_;
  D home_library_;
} _KLmoduleGVKe;

typedef struct {
  D wrapper;
  D xep_;
} _KLfunctionGVKd;

typedef struct {
  D wrapper;
  D condition_format_string_;
  D condition_format_arguments_;
  D type_error_value_;
  D type_error_expected_type_;
} _KLtype_errorGVKd;

typedef struct {
  D wrapper;
  D properties_;
  D engine_node_callback_;
  D engine_node_entry_point_;
  D cache_header_engine_node_next_;
  D cache_header_engine_node_parent_;
} _KLsimple_typechecked_cache_header_engine_nodeGVKg;

typedef struct {
  D wrapper;
  DWORD Pmachine_word_data_;
} _KLmachine_wordGVKe;

typedef struct {
  D wrapper;
  D instanceQ_iep_;
  D debug_name_;
  D class_implementation_class_;
  D class_subtype_bit_;
  D class_module_;
  D value_class_comparitor_;
} _KLvalue_classGVKi;

typedef struct {
  D wrapper;
} _KLconditionGVKd;

typedef struct {
  D wrapper;
} _KLcharacterGVKd;

typedef struct {
  D wrapper;
} _KLnumberGVKd;

typedef struct {
  D wrapper;
  D class_properties_;
  D iclass_class_;
  D class_mm_wrapper_;
  D repeated_slot_descriptor_;
  D instance_slot_descriptors_;
  D iclass_dispatch_key_;
  D class_constructor_;
  D direct_superclasses_;
  D class_rcpl_vector_;
  D class_rcpl_position_;
  D class_rcpl_other_positions_;
  D class_known_joint_;
  D iclass_dependent_generics_;
  D iclass_subclass_dependent_generics_;
  D direct_subclasses_;
  D direct_methods_;
  D direct_slot_descriptors_;
  D slot_descriptors_;
  D direct_inherited_slot_descriptors_;
  D direct_initialization_argument_descriptors_;
  D class_slot_descriptors_;
  D defaulted_initialization_arguments_slot_;
  D class_slot_storage_;
} _KLimplementation_classGVKe;

typedef struct {
  D wrapper;
  D signature_properties_;
  D signature_required_;
  D signature_keys_;
  D signature_key_types_;
  D signature_values_;
} _KLkeyword_signatureAvaluesGVKi;

typedef struct {
  D wrapper;
  D walker_walked_;
  D walker_classes_;
} _KLcopierGVwalker;


/* Typedefs for defined classes */

typedef struct {
  D wrapper;
  D walker_walked_;
  D walker_classes_;
} _KLwalkerGVwalker;


/* Referenced object declarations */

D KLobject_tableGZ32ZconstructorVKiMM0I (D, D, D, D, D, D);
extern _KLclassGVKd KLobject_tableGVKd;
extern _KLclassGVKd KLclassGVKd;
extern _KLmm_wrapperGVKi_0 KLclassGVKdW;
extern _KLclassGVKd KLmm_wrapperGVKi;
extern _KLmm_wrapperGVKi_1 KLmm_wrapperGVKiW;
extern _KLmm_wrapperGVKi_0 KLobject_tableGVKdW;
extern _KLsimple_object_vectorGVKd_0 KPempty_vectorVKi;
extern _KLclassGVKd KLsimple_object_vectorGVKd;
extern _KLmm_wrapperGVKi_0 KLsimple_object_vectorGVKdW;
extern _KLclassGVKd KLobjectGVKd;
extern _KLmm_wrapperGVKi_0 KLobjectGVKdW;
extern _KLsimple_methodGVKe Kdefault_grow_sizeVKe;
extern _KLfunction_classGVKi KLsimple_methodGVKe;
extern _KLclassGVKd KLfunction_classGVKi;
extern _KLmm_wrapperGVKi_0 KLfunction_classGVKiW;
extern _KLmm_wrapperGVKi_0 KLsimple_methodGVKeW;
extern _KLbooleanGVKd KPfalseVKi;
extern _KLclassGVKd KLbooleanGVKd;
extern _KLmm_wrapperGVKi_0 KLbooleanGVKdW;
D KPadd_classVKeI (D);
D KPadd_a_methodVKnI (D, D, D, D, D, D);
extern _KLincremental_generic_functionGVKe KinitializeVKd;
extern _KLfunction_classGVKi KLincremental_generic_functionGVKe;
extern _KLmm_wrapperGVKi_0 KLincremental_generic_functionGVKeW;
extern _KLlibraryGVKe Kwalker_libraryYdylan_userVwalker;
extern _KLclassGVKd KLlibraryGVKe;
extern _KLmm_wrapperGVKi_0 KLlibraryGVKeW;
extern _KLunboundGVKe KPunboundVKi;
extern _KLclassGVKd KLunboundGVKe;
extern _KLmm_wrapperGVKi_0 KLunboundGVKeW;
extern _KLbooleanGVKd KPtrueVKi;
extern _KLclassGVKd KLinstance_slot_descriptorGVKe;
extern _KLmm_wrapperGVKi_0 KLinstance_slot_descriptorGVKeW;
extern _KLclassGVKd KLtableGVKd;
extern _KLmm_wrapperGVKi_0 KLtableGVKdW;
extern _KLclassGVKd KLsealed_generic_functionGVKe;
extern _KLmm_wrapperGVKi_0 KLsealed_generic_functionGVKeW;
extern _KLempty_listGVKd KPempty_listVKi;
extern _KLclassGVKd KLempty_listGVKd;
extern _KLmm_wrapperGVKi_0 KLempty_listGVKdW;
extern _KLobject_signatureGVKe KDsignature_LobjectG_object_rest_value_1VKi;
extern _KLclassGVKd KLobject_signatureGVKe;
extern _KLmm_wrapperGVKi_0 KLobject_signatureGVKeW;
extern _KLabsent_engine_nodeGVKg RSINGULAR_Labsent_engine_nodeG;
extern _KLclassGVKd KLabsent_engine_nodeGVKg;
extern _KLmm_wrapperGVKi_0 KLabsent_engine_nodeGVKgW;
extern _KLclassGVKd KLbyte_stringGVKd;
extern _KLmm_wrapperGVKi_0 KLbyte_stringGVKdW;
extern _KLclassGVKd KLpairGVKd;
extern _KLmm_wrapperGVKi_0 KLpairGVKdW;
extern _KLclassGVKd KLgetter_methodGVKi;
extern _KLmm_wrapperGVKi_0 KLgetter_methodGVKiW;
extern _KLfunction_classGVKi KLsimple_closure_methodGVKi;
extern _KLmm_wrapperGVKi_0 KLsimple_closure_methodGVKiW;
extern _KLclassGVKd KLsignatureGVKe;
extern _KLmm_wrapperGVKi_0 KLsignatureGVKeW;
extern _KLobject_signatureGVKe KDsignature_LobjectG_object_rest_value_2VKi;
extern _KLclassGVKd KLsetter_methodGVKi;
extern _KLmm_wrapperGVKi_0 KLsetter_methodGVKiW;
D Kremove_all_keysXVKeMM0I (D);
extern _KLfunction_classGVKi KLkeyword_methodGVKe;
extern _KLmm_wrapperGVKi_0 KLkeyword_methodGVKeW;
extern _KLsymbolGVKd KJcapacity_;
extern _KLclassGVKd KLsymbolGVKd;
extern _KLmm_wrapperGVKi_0 KLsymbolGVKdW;
extern _KLclassGVKd KLkeyword_signatureGVKe;
extern _KLmm_wrapperGVKi_0 KLkeyword_signatureGVKeW;
extern _KLsimple_object_vectorGVKd_256 KDsignature_LobjectG_typesVKi;
extern _KLincremental_generic_functionGVKe KasVKd;
extern _KLlimited_vector_typeGVKe KLslot_sequence_typeGVwalker;
extern _KLclassGVKd KLlimited_vector_typeGVKe;
extern _KLmm_wrapperGVKi_0 KLlimited_vector_typeGVKeW;
D KchooseVKdMM0I (D test_, D sequence_);
extern _KLsealed_generic_functionGVKe Kslot_allocationVKe;
D KEVKdMM27I (D, D);
extern _KLsimple_object_vectorGVKd_2 KDsignature_Lslot_descriptorG_typesVKi;
extern _KLsimple_methodGVKe Kdeep_walkVwalkerMM10;
extern _KLmoduleGVKe Kwalker_moduleYdylan_userVwalker;
extern _KLclassGVKd KLmoduleGVKe;
extern _KLmm_wrapperGVKi_0 KLmoduleGVKeW;
extern _KLclassGVKd KLfunctionGVKd;
extern _KLmm_wrapperGVKi_0 KLfunctionGVKdW;
extern _KLsymbolGVKd KJdefault_;
extern _KLincremental_generic_functionGVKe KelementVKd;
extern _KLsimple_methodGVKe Kdo_deep_walkVwalkerMM2;
extern _KLobject_signatureGVKe KDsignature_LobjectG_object_rest_value_4VKi;
extern _KLsymbolGVKd KJvalue_;
extern _KLsymbolGVKd KJtype_;
extern _KLincremental_generic_functionGVKe KmakeVKd;
extern _KLclassGVKd KLtype_errorGVKd;
extern _KLmm_wrapperGVKi_0 KLtype_errorGVKdW;
extern _KLsealed_generic_functionGVKe KerrorVKd;
D KputhashVKiI (D, D, D);
D Kobject_classVKdI (D);
extern _KLincremental_generic_functionGVKe Kelement_setterVKd;
D Kwalker_shallow_slot_descriptorsVwalkerI (D walker_, D class_);
D Kwalker_defaulted_slot_descriptorsVwalkerI (D walker_, D class_);
D Kwalker_deep_slot_descriptorsVwalkerI (D walker_, D class_);
D Kwalker_repeated_slotQVwalkerMM1I (D class_);
extern _KLincremental_generic_functionGVKe KsizeVKd;
extern _KLincremental_generic_functionGVKe KLVKd;
extern _KLclassGVKd KLsimple_typechecked_cache_header_engine_nodeGVKg;
extern _KLmm_wrapperGVKi_0 KLsimple_typechecked_cache_header_engine_nodeGVKgW;
extern _KLvalue_classGVKi KLmachine_wordGVKe;
extern _KLclassGVKd KLvalue_classGVKi;
extern _KLmm_wrapperGVKi_0 KLvalue_classGVKiW;
extern _KLmm_wrapperGVKi_1 KLmachine_wordGVKeW;
extern _KLclassGVKd KLconditionGVKd;
extern _KLmm_wrapperGVKi_0 KLconditionGVKdW;
extern _KLclassGVKd KLcharacterGVKd;
extern _KLmm_wrapperGVKi_0 KLcharacterGVKdW;
extern _KLclassGVKd KLnumberGVKd;
extern _KLmm_wrapperGVKi_0 KLnumberGVKdW;
D KerrorVKdMM1I (D, D);
extern _KLsymbolGVKd KJsize_;
extern _KLclassGVKd KLimplementation_classGVKe;
extern _KLmm_wrapperGVKi_0 KLimplementation_classGVKeW;
extern _KLclassGVKd KLkeyword_signatureAvaluesGVKi;
extern _KLmm_wrapperGVKi_0 KLkeyword_signatureAvaluesGVKiW;
extern _KLsimple_object_vectorGVKd_2 KDsignature_LclassG_typesVKi;
D Kclass_instanceQ_rcpl_single_smallVKiI (D, D);
extern _KLsimple_methodGVKe Kwalker_repeated_slotQVwalkerMM1;
extern _KLclassGVKd KLcopierGVwalker;

/* Defined object declarations */

extern _KLclassGVKd KLwalkerGVwalker;
extern _KLmm_wrapperGVKi_0 KLwalkerGVwalkerW;
extern _KLkeyword_methodGVKe KinitializeVKdMwalkerM0;
D KinitializeVKdMwalkerM0I (D, D, D);
D Kwalker_slot_descriptorsVwalkerMM0I (D);
extern _KLkeyword_methodGVKe Kwalker_resetVwalker;
D Kwalker_resetVwalkerI (D walker_, D Urest_, D capacity_);
extern _KLinstance_slot_descriptorGVKe Kwalker_walkedVwalkerHLwalkerG;
extern _KLinstance_slot_descriptorGVKe Kwalker_classesVwalkerHLwalkerG;
static _KLsimple_closure_methodGVKi_0 K18;
static D K18I ();
extern _KLsealed_generic_functionGVKe Kwalker_classesVwalker;
extern _KLgetter_methodGVKi Kwalker_classesVwalkerMM0;
static _KLpairGVKd K16;
static _KLbyte_stringGVKd_14 K17;
static _KLsignatureGVKe K19;
static _KLsimple_closure_methodGVKi_0 K30;
static D K30I ();
extern _KLsealed_generic_functionGVKe Kwalker_walkedVwalker;
extern _KLsealed_generic_functionGVKe Kwalker_walked_setterVwalker;
extern _KLsetter_methodGVKi Kwalker_walked_setterVwalkerMM0;
static _KLpairGVKd K25;
static _KLbyte_stringGVKd_20 K26;
extern _KLgetter_methodGVKi Kwalker_walkedVwalkerMM0;
static _KLpairGVKd K28;
static _KLbyte_stringGVKd_13 K29;
static _KLkeyword_signatureGVKe K31;
static _KLsimple_object_vectorGVKd_2 K32;
static _KLsimple_object_vectorGVKd_1 K33;
static _KLsimple_object_vectorGVKd_1 K34;
static _KLsimple_closure_methodGVKi_0 Kanonymous_of_walker_slot_descriptorsF37;
static D Kanonymous_of_walker_slot_descriptorsF37I (D);
static _KLbyte_stringGVKd_7 K38;
static _KLsignatureGVKe K39;
extern _KLincremental_generic_functionGVKe Kdeep_walkVwalker;
extern _KLsimple_methodGVKe Kdeep_walkVwalkerMM0;
D Kdeep_walkVwalkerMM0I (D, D, D, D);
extern _KLsimple_methodGVKe Kdeep_walkVwalkerMM1;
D Kdeep_walkVwalkerMM1I (D, D, D, D);
extern _KLsimple_methodGVKe Kdeep_walkVwalkerMM2;
D Kdeep_walkVwalkerMM2I (D, D, D, D);
extern _KLsimple_methodGVKe Kdeep_walkVwalkerMM3;
D Kdeep_walkVwalkerMM3I (D, D, D, D);
extern _KLsimple_methodGVKe Kdeep_walkVwalkerMM4;
D Kdeep_walkVwalkerMM4I (D, D, D, D);
extern _KLsimple_methodGVKe Kdeep_walkVwalkerMM5;
D Kdeep_walkVwalkerMM5I (D, D, D, D);
extern _KLsimple_methodGVKe Kdeep_walkVwalkerMM6;
D Kdeep_walkVwalkerMM6I (D, D, D, D);
extern _KLsimple_methodGVKe Kdeep_walkVwalkerMM7;
D Kdeep_walkVwalkerMM7I (D, D, D, D);
extern _KLsimple_methodGVKe Kdeep_walkVwalkerMM8;
D Kdeep_walkVwalkerMM8I (D, D, D, D);
extern _KLsimple_methodGVKe Kdeep_walkVwalkerMM9;
D Kdeep_walkVwalkerMM9I (D, D, D, D);
static _KLpairGVKd K61;
static _KLpairGVKd K62;
static _KLpairGVKd K63;
static _KLpairGVKd K64;
static _KLpairGVKd K65;
static _KLpairGVKd K66;
static _KLpairGVKd K67;
static _KLpairGVKd K68;
static _KLpairGVKd K69;
static _KLpairGVKd K70;
static _KLpairGVKd K71;
static _KLsignatureGVKe K72;
static _KLbyte_stringGVKd_9 K73;
static _KLsimple_object_vectorGVKd_4 K74;
static _KLsimple_typechecked_cache_header_engine_nodeGVKg K75;
extern _KLsealed_generic_functionGVKe Kdo_deep_walkVwalker;
extern _KLsimple_methodGVKe Kdo_deep_walkVwalkerMM0;
D Kdo_deep_walkVwalkerMM0I (D, D, D, D);
extern _KLsimple_methodGVKe Kdo_deep_walkVwalkerMM1;
D Kdo_deep_walkVwalkerMM1I (D, D, D, D);
static _KLpairGVKd K81;
static _KLpairGVKd K82;
static _KLpairGVKd K83;
static _KLbyte_stringGVKd_12 K84;
static _KLsignatureGVKe K85;
static _KLsimple_object_vectorGVKd_4 K86;
static _KLsignatureGVKe K87;
static _KLsimple_object_vectorGVKd_4 K88;
static _KLsignatureGVKe K89;
static _KLsimple_object_vectorGVKd_4 K90;
static _KLsignatureGVKe K91;
static _KLsimple_object_vectorGVKd_4 K92;
static _KLsignatureGVKe K93;
static _KLsimple_object_vectorGVKd_4 K94;
static _KLsignatureGVKe K95;
static _KLsimple_object_vectorGVKd_4 K96;
static _KLsignatureGVKe K97;
static _KLsimple_object_vectorGVKd_4 K98;
static _KLsignatureGVKe K99;
static _KLsimple_object_vectorGVKd_4 K100;
static _KLsignatureGVKe K101;
static _KLsimple_object_vectorGVKd_4 K102;
static _KLsignatureGVKe K103;
static _KLsimple_object_vectorGVKd_4 K104;
extern _KLsimple_methodGVKe Kmaybe_do_deep_walkVwalker;
D Kmaybe_do_deep_walkVwalkerI (D walker_, D function_, D parent_, D object_);
static _KLsimple_typechecked_cache_header_engine_nodeGVKg K107;
static _KLbyte_stringGVKd_15 K108;
static _KLkeyword_signatureGVKe K109;
static _KLsimple_object_vectorGVKd_2 K110;
static _KLimplementation_classGVKe K111;
static _KLsimple_object_vectorGVKd_2 K112;
extern _KLkeyword_methodGVKe KLwalkerGZ32ZconstructorVwalkerMM0;
D KLwalkerGZ32ZconstructorVwalkerMM0I (D, D);
static _KLsimple_object_vectorGVKd_1 K115;
static _KLsimple_object_vectorGVKd_6 K116;
static D K120I ();
static D K119I ();
static _KLkeyword_signatureAvaluesGVKi K121;
static _KLbyte_stringGVKd_8 K122;
extern _KLsealed_generic_functionGVKe Kwalker_repeated_slotQVwalker;
extern _KLsimple_methodGVKe Kwalker_repeated_slotQVwalkerMM0;
D Kwalker_repeated_slotQVwalkerMM0I (D);
static _KLpairGVKd K126;
static _KLpairGVKd K127;
static _KLbyte_stringGVKd_21 K128;
static _KLpairGVKd K129;

/* Indirection variables */


/* Variables */

D do_deep_walkVwalker = &Kdo_deep_walkVwalker;
D walker_repeated_slotQVwalker = &Kwalker_repeated_slotQVwalker;
D walker_walkedVwalker = &Kwalker_walkedVwalker;
D Ddummy_walker_tableVwalker = &KPunboundVKi;
D LwalkerGVwalker = &KLwalkerGVwalker;
D walker_resetVwalker = &Kwalker_resetVwalker;
D maybe_do_deep_walkVwalker = &Kmaybe_do_deep_walkVwalker;
D deep_walkVwalker = &Kdeep_walkVwalker;

/* Objects */

_KLclassGVKd KLwalkerGVwalker = {
  &KLclassGVKdW /* wrapper */,
  &Kclass_instanceQ_rcpl_single_smallVKiI,
  &K122,
  &K111,
  (D) 1,
  &Kwalker_moduleYdylan_userVwalker
};

_KLmm_wrapperGVKi_0 KLwalkerGVwalkerW = {
  &KLmm_wrapperGVKiW /* wrapper */,
  &K111,
  (D) 1,
  9,
  33554439,
  (D) 1
};

_KLkeyword_methodGVKe KinitializeVKdMwalkerM0 = {
  &KLkeyword_methodGVKeW /* wrapper */,
  &rest_key_xep_3,
  &K109,
  &key_mep_3,
  &KinitializeVKdMwalkerM0I,
  &K110
};

_KLkeyword_methodGVKe Kwalker_resetVwalker = {
  &KLkeyword_methodGVKeW /* wrapper */,
  &rest_key_xep_3,
  &K31,
  &key_mep_3,
  &Kwalker_resetVwalkerI,
  &K32
};

_KLinstance_slot_descriptorGVKe Kwalker_walkedVwalkerHLwalkerG = {
  &KLinstance_slot_descriptorGVKeW /* wrapper */,
  (D) 149,
  &K30,
  &KLwalkerGVwalker,
  &KPfalseVKi,
  &Kwalker_walkedVwalker,
  &Kwalker_walked_setterVwalker,
  &KLtableGVKd
};

_KLinstance_slot_descriptorGVKe Kwalker_classesVwalkerHLwalkerG = {
  &KLinstance_slot_descriptorGVKeW /* wrapper */,
  (D) 149,
  &K18,
  &KLwalkerGVwalker,
  &KPfalseVKi,
  &Kwalker_classesVwalker,
  &KPfalseVKi,
  &KLtableGVKd
};

static _KLsimple_closure_methodGVKi_0 K18 = {
  &KLsimple_closure_methodGVKiW /* wrapper */,
  &xep_0,
  &K19,
  &K18I,
  (D) 1
};

_KLsealed_generic_functionGVKe Kwalker_classesVwalker = {
  &KLsealed_generic_functionGVKeW /* wrapper */,
  &gf_xep_1,
  &KDsignature_LobjectG_object_rest_value_1VKi,
  &KPfalseVKi,
  &K17,
  &K16,
  &RSINGULAR_Labsent_engine_nodeG
};

_KLgetter_methodGVKi Kwalker_classesVwalkerMM0 = {
  &KLgetter_methodGVKiW /* wrapper */,
  &slotacc_single_q_instance_getter_xep,
  &Kwalker_classesVwalkerHLwalkerG
};

static _KLpairGVKd K16 = {
  &KLpairGVKdW /* wrapper */,
  &Kwalker_classesVwalkerMM0,
  &KPempty_listVKi
};

static _KLbyte_stringGVKd_14 K17 = {
  &KLbyte_stringGVKdW /* wrapper */,
  (D) 57,
  "walker-classes"
};

static _KLsignatureGVKe K19 = {
  &KLsignatureGVKeW /* wrapper */,
  (D) 41944065,
  &KPempty_vectorVKi
};

static _KLsimple_closure_methodGVKi_0 K30 = {
  &KLsimple_closure_methodGVKiW /* wrapper */,
  &xep_0,
  &K19,
  &K30I,
  (D) 1
};

_KLsealed_generic_functionGVKe Kwalker_walkedVwalker = {
  &KLsealed_generic_functionGVKeW /* wrapper */,
  &gf_xep_1,
  &KDsignature_LobjectG_object_rest_value_1VKi,
  &KPfalseVKi,
  &K29,
  &K28,
  &RSINGULAR_Labsent_engine_nodeG
};

_KLsealed_generic_functionGVKe Kwalker_walked_setterVwalker = {
  &KLsealed_generic_functionGVKeW /* wrapper */,
  &gf_xep_2,
  &KDsignature_LobjectG_object_rest_value_2VKi,
  &KPfalseVKi,
  &K26,
  &K25,
  &RSINGULAR_Labsent_engine_nodeG
};

_KLsetter_methodGVKi Kwalker_walked_setterVwalkerMM0 = {
  &KLsetter_methodGVKiW /* wrapper */,
  &slotacc_single_q_instance_setter_xep,
  &Kwalker_walkedVwalkerHLwalkerG
};

static _KLpairGVKd K25 = {
  &KLpairGVKdW /* wrapper */,
  &Kwalker_walked_setterVwalkerMM0,
  &KPempty_listVKi
};

static _KLbyte_stringGVKd_20 K26 = {
  &KLbyte_stringGVKdW /* wrapper */,
  (D) 81,
  "walker-walked-setter"
};

_KLgetter_methodGVKi Kwalker_walkedVwalkerMM0 = {
  &KLgetter_methodGVKiW /* wrapper */,
  &slotacc_single_q_instance_getter_xep,
  &Kwalker_walkedVwalkerHLwalkerG
};

static _KLpairGVKd K28 = {
  &KLpairGVKdW /* wrapper */,
  &Kwalker_walkedVwalkerMM0,
  &KPempty_listVKi
};

static _KLbyte_stringGVKd_13 K29 = {
  &KLbyte_stringGVKdW /* wrapper */,
  (D) 53,
  "walker-walked"
};

static _KLkeyword_signatureGVKe K31 = {
  &KLkeyword_signatureGVKeW /* wrapper */,
  (D) 44302341,
  &K33,
  &K34,
  &KDsignature_LobjectG_typesVKi
};

static _KLsimple_object_vectorGVKd_2 K32 = {
  &KLsimple_object_vectorGVKdW /* wrapper */,
  (D) 9,
  &KJcapacity_,
  &KPfalseVKi
};

static _KLsimple_object_vectorGVKd_1 K33 = {
  &KLsimple_object_vectorGVKdW /* wrapper */,
  (D) 5,
  &KLwalkerGVwalker
};

static _KLsimple_object_vectorGVKd_1 K34 = {
  &KLsimple_object_vectorGVKdW /* wrapper */,
  (D) 5,
  &KJcapacity_
};

static _KLsimple_closure_methodGVKi_0 Kanonymous_of_walker_slot_descriptorsF37 = {
  &KLsimple_closure_methodGVKiW /* wrapper */,
  &xep_1,
  &K39,
  &Kanonymous_of_walker_slot_descriptorsF37I,
  (D) 1
};

static _KLbyte_stringGVKd_7 K38 = {
  &KLbyte_stringGVKdW /* wrapper */,
  (D) 29,
  "virtual"
};

static _KLsignatureGVKe K39 = {
  &KLsignatureGVKeW /* wrapper */,
  (D) 44040197,
  &KDsignature_Lslot_descriptorG_typesVKi
};

_KLincremental_generic_functionGVKe Kdeep_walkVwalker = {
  &KLincremental_generic_functionGVKeW /* wrapper */,
  &gf_xep_4,
  &K72,
  (D) 1,
  &K73,
  &K61,
  &RSINGULAR_Labsent_engine_nodeG,
  &Kwalker_moduleYdylan_userVwalker,
  &KPfalseVKi,
  &KPempty_vectorVKi,
  (D) 25
};

_KLsimple_methodGVKe Kdeep_walkVwalkerMM0 = {
  &KLsimple_methodGVKeW /* wrapper */,
  &xep_4,
  &K103,
  &Kdeep_walkVwalkerMM0I
};

_KLsimple_methodGVKe Kdeep_walkVwalkerMM1 = {
  &KLsimple_methodGVKeW /* wrapper */,
  &xep_4,
  &K101,
  &Kdeep_walkVwalkerMM1I
};

_KLsimple_methodGVKe Kdeep_walkVwalkerMM2 = {
  &KLsimple_methodGVKeW /* wrapper */,
  &xep_4,
  &K99,
  &Kdeep_walkVwalkerMM2I
};

_KLsimple_methodGVKe Kdeep_walkVwalkerMM3 = {
  &KLsimple_methodGVKeW /* wrapper */,
  &xep_4,
  &K97,
  &Kdeep_walkVwalkerMM3I
};

_KLsimple_methodGVKe Kdeep_walkVwalkerMM4 = {
  &KLsimple_methodGVKeW /* wrapper */,
  &xep_4,
  &K95,
  &Kdeep_walkVwalkerMM4I
};

_KLsimple_methodGVKe Kdeep_walkVwalkerMM5 = {
  &KLsimple_methodGVKeW /* wrapper */,
  &xep_4,
  &K93,
  &Kdeep_walkVwalkerMM5I
};

_KLsimple_methodGVKe Kdeep_walkVwalkerMM6 = {
  &KLsimple_methodGVKeW /* wrapper */,
  &xep_4,
  &K91,
  &Kdeep_walkVwalkerMM6I
};

_KLsimple_methodGVKe Kdeep_walkVwalkerMM7 = {
  &KLsimple_methodGVKeW /* wrapper */,
  &xep_4,
  &K89,
  &Kdeep_walkVwalkerMM7I
};

_KLsimple_methodGVKe Kdeep_walkVwalkerMM8 = {
  &KLsimple_methodGVKeW /* wrapper */,
  &xep_4,
  &K87,
  &Kdeep_walkVwalkerMM8I
};

_KLsimple_methodGVKe Kdeep_walkVwalkerMM9 = {
  &KLsimple_methodGVKeW /* wrapper */,
  &xep_4,
  &K72,
  &Kdeep_walkVwalkerMM9I
};

static _KLpairGVKd K61 = {
  &KLpairGVKdW /* wrapper */,
  &Kdeep_walkVwalkerMM0,
  &K62
};

static _KLpairGVKd K62 = {
  &KLpairGVKdW /* wrapper */,
  &Kdeep_walkVwalkerMM1,
  &K63
};

static _KLpairGVKd K63 = {
  &KLpairGVKdW /* wrapper */,
  &Kdeep_walkVwalkerMM2,
  &K64
};

static _KLpairGVKd K64 = {
  &KLpairGVKdW /* wrapper */,
  &Kdeep_walkVwalkerMM3,
  &K65
};

static _KLpairGVKd K65 = {
  &KLpairGVKdW /* wrapper */,
  &Kdeep_walkVwalkerMM4,
  &K66
};

static _KLpairGVKd K66 = {
  &KLpairGVKdW /* wrapper */,
  &Kdeep_walkVwalkerMM5,
  &K67
};

static _KLpairGVKd K67 = {
  &KLpairGVKdW /* wrapper */,
  &Kdeep_walkVwalkerMM6,
  &K68
};

static _KLpairGVKd K68 = {
  &KLpairGVKdW /* wrapper */,
  &Kdeep_walkVwalkerMM7,
  &K69
};

static _KLpairGVKd K69 = {
  &KLpairGVKdW /* wrapper */,
  &Kdeep_walkVwalkerMM8,
  &K70
};

static _KLpairGVKd K70 = {
  &KLpairGVKdW /* wrapper */,
  &Kdeep_walkVwalkerMM9,
  &K71
};

static _KLpairGVKd K71 = {
  &KLpairGVKdW /* wrapper */,
  &Kdeep_walkVwalkerMM10,
  &KPempty_listVKi
};

static _KLsignatureGVKe K72 = {
  &KLsignatureGVKeW /* wrapper */,
  (D) 44040209,
  &K74
};

static _KLbyte_stringGVKd_9 K73 = {
  &KLbyte_stringGVKdW /* wrapper */,
  (D) 37,
  "deep-walk"
};

static _KLsimple_object_vectorGVKd_4 K74 = {
  &KLsimple_object_vectorGVKdW /* wrapper */,
  (D) 17,
  &KLwalkerGVwalker,
  &KLfunctionGVKd,
  &KLobjectGVKd,
  &KLobjectGVKd
};

static _KLsimple_typechecked_cache_header_engine_nodeGVKg K75 = {
  &KLsimple_typechecked_cache_header_engine_nodeGVKgW /* wrapper */,
  (D) 196665,
  &KPfalseVKi,
  &cache_header_engine_4,
  &RSINGULAR_Labsent_engine_nodeG,
  &Kdo_deep_walkVwalker
};

_KLsealed_generic_functionGVKe Kdo_deep_walkVwalker = {
  &KLsealed_generic_functionGVKeW /* wrapper */,
  &gf_xep_4,
  &KDsignature_LobjectG_object_rest_value_4VKi,
  (D) 13,
  &K84,
  &K81,
  &RSINGULAR_Labsent_engine_nodeG
};

_KLsimple_methodGVKe Kdo_deep_walkVwalkerMM0 = {
  &KLsimple_methodGVKeW /* wrapper */,
  &xep_4,
  &K72,
  &Kdo_deep_walkVwalkerMM0I
};

_KLsimple_methodGVKe Kdo_deep_walkVwalkerMM1 = {
  &KLsimple_methodGVKeW /* wrapper */,
  &xep_4,
  &K85,
  &Kdo_deep_walkVwalkerMM1I
};

static _KLpairGVKd K81 = {
  &KLpairGVKdW /* wrapper */,
  &Kdo_deep_walkVwalkerMM0,
  &K82
};

static _KLpairGVKd K82 = {
  &KLpairGVKdW /* wrapper */,
  &Kdo_deep_walkVwalkerMM1,
  &K83
};

static _KLpairGVKd K83 = {
  &KLpairGVKdW /* wrapper */,
  &Kdo_deep_walkVwalkerMM2,
  &KPempty_listVKi
};

static _KLbyte_stringGVKd_12 K84 = {
  &KLbyte_stringGVKdW /* wrapper */,
  (D) 49,
  "do-deep-walk"
};

static _KLsignatureGVKe K85 = {
  &KLsignatureGVKeW /* wrapper */,
  (D) 44040209,
  &K86
};

static _KLsimple_object_vectorGVKd_4 K86 = {
  &KLsimple_object_vectorGVKdW /* wrapper */,
  (D) 17,
  &KLwalkerGVwalker,
  &KLfunctionGVKd,
  &KLobjectGVKd,
  &KLpairGVKd
};

static _KLsignatureGVKe K87 = {
  &KLsignatureGVKeW /* wrapper */,
  (D) 44040209,
  &K88
};

static _KLsimple_object_vectorGVKd_4 K88 = {
  &KLsimple_object_vectorGVKdW /* wrapper */,
  (D) 17,
  &KLwalkerGVwalker,
  &KLfunctionGVKd,
  &KLobjectGVKd,
  &KLmachine_wordGVKe
};

static _KLsignatureGVKe K89 = {
  &KLsignatureGVKeW /* wrapper */,
  (D) 44040209,
  &K90
};

static _KLsimple_object_vectorGVKd_4 K90 = {
  &KLsimple_object_vectorGVKdW /* wrapper */,
  (D) 17,
  &KLwalkerGVwalker,
  &KLfunctionGVKd,
  &KLobjectGVKd,
  &KLconditionGVKd
};

static _KLsignatureGVKe K91 = {
  &KLsignatureGVKeW /* wrapper */,
  (D) 44040209,
  &K92
};

static _KLsimple_object_vectorGVKd_4 K92 = {
  &KLsimple_object_vectorGVKdW /* wrapper */,
  (D) 17,
  &KLwalkerGVwalker,
  &KLfunctionGVKd,
  &KLobjectGVKd,
  &KLclassGVKd
};

static _KLsignatureGVKe K93 = {
  &KLsignatureGVKeW /* wrapper */,
  (D) 44040209,
  &K94
};

static _KLsimple_object_vectorGVKd_4 K94 = {
  &KLsimple_object_vectorGVKdW /* wrapper */,
  (D) 17,
  &KLwalkerGVwalker,
  &KLfunctionGVKd,
  &KLobjectGVKd,
  &KLfunctionGVKd
};

static _KLsignatureGVKe K95 = {
  &KLsignatureGVKeW /* wrapper */,
  (D) 44040209,
  &K96
};

static _KLsimple_object_vectorGVKd_4 K96 = {
  &KLsimple_object_vectorGVKdW /* wrapper */,
  (D) 17,
  &KLwalkerGVwalker,
  &KLfunctionGVKd,
  &KLobjectGVKd,
  &KLcharacterGVKd
};

static _KLsignatureGVKe K97 = {
  &KLsignatureGVKeW /* wrapper */,
  (D) 44040209,
  &K98
};

static _KLsimple_object_vectorGVKd_4 K98 = {
  &KLsimple_object_vectorGVKdW /* wrapper */,
  (D) 17,
  &KLwalkerGVwalker,
  &KLfunctionGVKd,
  &KLobjectGVKd,
  &KLsymbolGVKd
};

static _KLsignatureGVKe K99 = {
  &KLsignatureGVKeW /* wrapper */,
  (D) 44040209,
  &K100
};

static _KLsimple_object_vectorGVKd_4 K100 = {
  &KLsimple_object_vectorGVKdW /* wrapper */,
  (D) 17,
  &KLwalkerGVwalker,
  &KLfunctionGVKd,
  &KLobjectGVKd,
  &KLbooleanGVKd
};

static _KLsignatureGVKe K101 = {
  &KLsignatureGVKeW /* wrapper */,
  (D) 44040209,
  &K102
};

static _KLsimple_object_vectorGVKd_4 K102 = {
  &KLsimple_object_vectorGVKdW /* wrapper */,
  (D) 17,
  &KLwalkerGVwalker,
  &KLfunctionGVKd,
  &KLobjectGVKd,
  &KLnumberGVKd
};

static _KLsignatureGVKe K103 = {
  &KLsignatureGVKeW /* wrapper */,
  (D) 44040209,
  &K104
};

static _KLsimple_object_vectorGVKd_4 K104 = {
  &KLsimple_object_vectorGVKdW /* wrapper */,
  (D) 17,
  &KLwalkerGVwalker,
  &KLfunctionGVKd,
  &KLobjectGVKd,
  &KLempty_listGVKd
};

_KLsimple_methodGVKe Kmaybe_do_deep_walkVwalker = {
  &KLsimple_methodGVKeW /* wrapper */,
  &xep_4,
  &K72,
  &Kmaybe_do_deep_walkVwalkerI
};

static _KLsimple_typechecked_cache_header_engine_nodeGVKg K107 = {
  &KLsimple_typechecked_cache_header_engine_nodeGVKgW /* wrapper */,
  (D) 196665,
  &KPfalseVKi,
  &cache_header_engine_4,
  &RSINGULAR_Labsent_engine_nodeG,
  &Kdo_deep_walkVwalker
};

static _KLbyte_stringGVKd_15 K108 = {
  &KLbyte_stringGVKdW /* wrapper */,
  (D) 61,
  "No next method."
};

static _KLkeyword_signatureGVKe K109 = {
  &KLkeyword_signatureGVKeW /* wrapper */,
  (D) 50069509,
  &K33,
  &K34,
  &KDsignature_LobjectG_typesVKi
};

static _KLsimple_object_vectorGVKd_2 K110 = {
  &KLsimple_object_vectorGVKdW /* wrapper */,
  (D) 9,
  &KJcapacity_,
  (D) 513
};

static _KLimplementation_classGVKe K111 = {
  &KLimplementation_classGVKeW /* wrapper */,
  (D) 392691721,
  &KLwalkerGVwalker,
  &KLwalkerGVwalkerW,
  &KPfalseVKi,
  &K112,
  (D) -3,
  &KLwalkerGZ32ZconstructorVwalkerMM0,
  &K115,
  &K116,
  (D) 5,
  &KPempty_vectorVKi,
  &KPempty_vectorVKi,
  &KPempty_listVKi,
  &KPempty_listVKi,
  &K129,
  &KPempty_vectorVKi,
  &K112,
  &K112,
  &KPempty_vectorVKi,
  &KPempty_vectorVKi,
  &KPempty_vectorVKi,
  &KPempty_vectorVKi,
  &KPempty_vectorVKi
};

static _KLsimple_object_vectorGVKd_2 K112 = {
  &KLsimple_object_vectorGVKdW /* wrapper */,
  (D) 9,
  &Kwalker_walkedVwalkerHLwalkerG,
  &Kwalker_classesVwalkerHLwalkerG
};

_KLkeyword_methodGVKe KLwalkerGZ32ZconstructorVwalkerMM0 = {
  &KLkeyword_methodGVKeW /* wrapper */,
  &rest_key_xep_2,
  &K121,
  &key_mep_2,
  &KLwalkerGZ32ZconstructorVwalkerMM0I,
  &KPempty_vectorVKi
};

static _KLsimple_object_vectorGVKd_1 K115 = {
  &KLsimple_object_vectorGVKdW /* wrapper */,
  (D) 5,
  &KLobjectGVKd
};

static _KLsimple_object_vectorGVKd_6 K116 = {
  &KLsimple_object_vectorGVKdW /* wrapper */,
  (D) 25,
  &KLobjectGVKd,
  &KLwalkerGVwalker,
  &KPfalseVKi,
  &KPfalseVKi,
  &KPfalseVKi,
  &KPfalseVKi
};

static _KLkeyword_signatureAvaluesGVKi K121 = {
  &KLkeyword_signatureAvaluesGVKiW /* wrapper */,
  (D) 35390469,
  &KDsignature_LclassG_typesVKi,
  &KPempty_vectorVKi,
  &KPempty_vectorVKi,
  &K33
};

static _KLbyte_stringGVKd_8 K122 = {
  &KLbyte_stringGVKdW /* wrapper */,
  (D) 33,
  "<walker>"
};

_KLsealed_generic_functionGVKe Kwalker_repeated_slotQVwalker = {
  &KLsealed_generic_functionGVKeW /* wrapper */,
  &gf_xep_1,
  &KDsignature_LobjectG_object_rest_value_1VKi,
  &KPfalseVKi,
  &K128,
  &K126,
  &RSINGULAR_Labsent_engine_nodeG
};

_KLsimple_methodGVKe Kwalker_repeated_slotQVwalkerMM0 = {
  &KLsimple_methodGVKeW /* wrapper */,
  &xep_1,
  &KDsignature_LobjectG_object_rest_value_1VKi,
  &Kwalker_repeated_slotQVwalkerMM0I
};

static _KLpairGVKd K126 = {
  &KLpairGVKdW /* wrapper */,
  &Kwalker_repeated_slotQVwalkerMM0,
  &K127
};

static _KLpairGVKd K127 = {
  &KLpairGVKdW /* wrapper */,
  &Kwalker_repeated_slotQVwalkerMM1,
  &KPempty_listVKi
};

static _KLbyte_stringGVKd_21 K128 = {
  &KLbyte_stringGVKdW /* wrapper */,
  (D) 85,
  "walker-repeated-slot?"
};

static _KLpairGVKd K129 = {
  &KLpairGVKdW /* wrapper */,
  &KLcopierGVwalker,
  &KPempty_listVKi
};

/* Code */

D KinitializeVKdMwalkerM0I (D x_, D all_keys_, D capacity_) {
  D T4;
  D T5;
  D T6;
  D T7;
  D T8;
  D T9;
  D T10;
  D T11_0;
  _KLsimple_object_vectorGVKd_2 T12 = {&KLsimple_object_vectorGVKdW, (D) 9};

  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:41
  T6 = primitive_copy_vector(all_keys_);
  T5 = primitive_next_methods_parameter();
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:44
  T7 = primitive_idQ(T5,&KPempty_listVKi);
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:44
  if (T7 != &KPfalseVKi) {
    // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:44
    KerrorVKdMM1I(&K108, &KPempty_vectorVKi);
  } else {
    // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:44
    T8 = SLOT_VALUE_INITD(T5, 0);
    // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:44
    T9 = SLOT_VALUE_INITD(T5, 1);
    // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:44
    MEP_CALL_PROLOG(T8, T9, 2);
    MEP_CALL2(T8, x_, T6);
  }
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:44
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:45
  T12.vector_element_[0] = &KJsize_;
  T12.vector_element_[1] = capacity_;
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:45
  T11_0 = KLobject_tableGZ32ZconstructorVKiMM0I(&KLobject_tableGVKd, &T12, &KLobjectGVKd, capacity_, &Kdefault_grow_sizeVKe, &KPfalseVKi);
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:45
  T10 = T11_0;
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:45
  SLOT_VALUE_SETTER(T10, x_, 0);
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:45
  T4 = T10;
  MV_SET_ELT(0, T10);
  MV_SET_COUNT(1);
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:41
  return(T4);
}

D Kwalker_slot_descriptorsVwalkerMM0I (D class_) {
  D T2;
  D slotds_;
  D T4_0;
  D T5;
  D T6;
  D T7_0;

  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:62
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:65
  T5 = SLOT_VALUE(class_, 2);
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:65
  T6 = SLOT_VALUE_INITD(T5, 17);
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:65
  CONGRUENT_CALL_PROLOG(&KasVKd, 2);
  T2 = CONGRUENT_CALL2(&KLslot_sequence_typeGVwalker, T6);
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:64
  primitive_type_check(T2, &KLslot_sequence_typeGVwalker);
  slotds_ = T2;
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:66
  T7_0 = KchooseVKdMM0I(&Kanonymous_of_walker_slot_descriptorsF37, slotds_);
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:62
  T4_0 = T7_0;
  {
    MV_CHECK_TYPE_PROLOGUE(T7_0);
    primitive_type_check(T4_0, &KLslot_sequence_typeGVwalker);
    MV_CHECK_TYPE_EPILOGUE();
  }
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:62
  MV_SET_COUNT(1);
  return(T4_0);
}

D Kwalker_resetVwalkerI (D walker_, D Urest_, D capacity_) {
  D T4;
  D T5;

  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:69
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:71
  T5 = SLOT_VALUE_INITD(walker_, 0);
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:71
  Kremove_all_keysXVKeMM0I(T5);
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:72
  T4 = walker_;
  MV_SET_ELT(0, walker_);
  MV_SET_COUNT(1);
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:69
  return(T4);
}

static D K18I () {
  D T0_0;
  D T1;
  D T2_0;

  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:36
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:36
  T2_0 = KLobject_tableGZ32ZconstructorVKiMM0I(&KLobject_tableGVKd, &KPempty_vectorVKi, &KLobjectGVKd, (D) 41, &Kdefault_grow_sizeVKe, &KPfalseVKi);
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:36
  T1 = T2_0;
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:36
  T0_0 = T1;
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:36
  MV_SET_COUNT(1);
  return(T0_0);
}

static D K30I () {
  D init_value_;
  D T1_0;

  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:35
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:35
  primitive_type_check(Ddummy_walker_tableVwalker, &KLtableGVKd);
  init_value_ = Ddummy_walker_tableVwalker;
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:35
  T1_0 = init_value_;
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:35
  MV_SET_COUNT(1);
  return(T1_0);
}

static D Kanonymous_of_walker_slot_descriptorsF37I (D sd_) {
  D T1;
  D T2;
  D T3_0;
  D T4;
  D T5_0;
  D T6_0;
  D T7;
  D T8_0;
  D T9;

  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:66
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:66
  CONGRUENT_CALL_PROLOG(&Kslot_allocationVKe, 1);
  T1 = CONGRUENT_CALL1(sd_);
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:66
  T4 = SLOT_VALUE_INITD(T1, 0);
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:66
  T5_0 = T4;
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:66
  T6_0 = T5_0;
  {
    MV_CHECK_TYPE_PROLOGUE(T5_0);
    primitive_type_check(T6_0, &KLbyte_stringGVKd);
    MV_CHECK_TYPE_EPILOGUE();
  }
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:66
  T7 = T6_0;
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:66
  T8_0 = KEVKdMM27I(T7, &K38);
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:66
  T9 = T8_0;
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:66
  T2 = primitive_not(T9);
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:66
  T3_0 = T2;
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:66
  MV_SET_COUNT(1);
  return(T3_0);
}

D Kdeep_walkVwalkerMM0I (D walker_, D function_, D parent_, D object_) {
  D T5;

  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:48
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:48
  T5 = object_;
  MV_SET_ELT(0, object_);
  MV_SET_COUNT(1);
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:48
  return(T5);
}

D Kdeep_walkVwalkerMM1I (D walker_, D function_, D parent_, D object_) {
  D T5;

  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:49
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:49
  T5 = object_;
  MV_SET_ELT(0, object_);
  MV_SET_COUNT(1);
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:49
  return(T5);
}

D Kdeep_walkVwalkerMM2I (D walker_, D function_, D parent_, D object_) {
  D T5;

  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:50
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:50
  T5 = object_;
  MV_SET_ELT(0, object_);
  MV_SET_COUNT(1);
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:50
  return(T5);
}

D Kdeep_walkVwalkerMM3I (D walker_, D function_, D parent_, D object_) {
  D T5;

  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:51
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:51
  T5 = object_;
  MV_SET_ELT(0, object_);
  MV_SET_COUNT(1);
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:51
  return(T5);
}

D Kdeep_walkVwalkerMM4I (D walker_, D function_, D parent_, D object_) {
  D T5;

  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:52
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:52
  T5 = object_;
  MV_SET_ELT(0, object_);
  MV_SET_COUNT(1);
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:52
  return(T5);
}

D Kdeep_walkVwalkerMM5I (D walker_, D function_, D parent_, D object_) {
  D T5;

  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:53
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:53
  T5 = object_;
  MV_SET_ELT(0, object_);
  MV_SET_COUNT(1);
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:53
  return(T5);
}

D Kdeep_walkVwalkerMM6I (D walker_, D function_, D parent_, D object_) {
  D T5;

  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:54
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:54
  T5 = object_;
  MV_SET_ELT(0, object_);
  MV_SET_COUNT(1);
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:54
  return(T5);
}

D Kdeep_walkVwalkerMM7I (D walker_, D function_, D parent_, D object_) {
  D T5;

  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:55
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:55
  T5 = object_;
  MV_SET_ELT(0, object_);
  MV_SET_COUNT(1);
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:55
  return(T5);
}

D Kdeep_walkVwalkerMM8I (D walker_, D function_, D parent_, D object_) {
  D T5;

  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:56
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:56
  T5 = object_;
  MV_SET_ELT(0, object_);
  MV_SET_COUNT(1);
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:56
  return(T5);
}

D Kdeep_walkVwalkerMM9I (D walker_, D function_, D parent_, D object_) {
  D T5;
  D T6;
  D T7;
  D T8;
  _KLsimple_object_vectorGVKd_2 T9 = {&KLsimple_object_vectorGVKdW, (D) 9};
  D T10;
  D T11;

  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:125
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:127
  T8 = SLOT_VALUE_INITD(walker_, 0);
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:127
  T9.vector_element_[0] = &KJdefault_;
  T9.vector_element_[1] = &KPfalseVKi;
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:127
  CONGRUENT_CALL_PROLOG(&KelementVKd, 3);
  T7 = CONGRUENT_CALL3(T8, object_, &T9);
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:127
  T10 = T7;
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:127
  if (T10 != &KPfalseVKi) {
    // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:127
    T5 = &KPfalseVKi;
    MV_SET_ELT(0, &KPfalseVKi);
    MV_SET_COUNT(1);
    T6 = T5;
  } else {
    // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:127
    ENGINE_NODE_CALL_PROLOG(&Kdo_deep_walkVwalker, &K75, 4);
    T11 = ENGINE_NODE_CALL4(&K75, walker_, function_, parent_, object_);
    T6 = T11;
  }
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:127
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:125
  return(T6);
}

D Kdo_deep_walkVwalkerMM0I (D walker_, D function_, D parent_, D object_) {
  D class_;
  D T6;
  DWORD T7T, T7;
  D T8;
  DWORD T9T, T9;
  D T10;
  D T11;
  DWORD T12T, T12;
  D T13;
  DWORD i_T, i_;
  D T15;
  D T16;
  D T17;
  D T18;
  D T19;
  D T20;
  D T21;
  DWORD T22;
  D T23;
  D T24;
  DWORD T25;
  DWORD T26;
  D T27;
  DWORD T28;
  D T29;
  DWORD T30;
  D T31;
  D T32;
  D T33;
  DWORD T34;
  D T35;
  DWORD T36;
  D T37;
  D T38;
  DWORD T39;
  DWORD T40;
  D T41;
  DWORD T42;
  D T43;
  DWORD T44;
  D T45;

  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:84
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:86
  class_ = Kobject_classVKdI(object_);
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:87
  T20 = SLOT_VALUE_INITD(walker_, 0);
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:87
  CONGRUENT_CALL_PROLOG(&Kelement_setterVKd, 3);
  CONGRUENT_CALL3(parent_, T20, object_);
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:88
  CALL1(function_, object_);
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:89
  T6 = Kwalker_shallow_slot_descriptorsVwalkerI(walker_, class_);
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:89
  T21 = SLOT_VALUE_INITD(T6, 0);
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:89
  T22 = primitive_cast_integer_as_raw(T21);
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:89
  T7T = 1;
L0: ;
    // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:89
    T7 = T7T;
    // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:89
    T23 = primitive_machine_word_equalQ(T7,T22);
    // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:89
    if (T23 == &KPfalseVKi) {
      // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:89
      T24 = REPEATED_D_SLOT_VALUE_TAGGED(T6, 1, T7);
      // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:90
      T25 = primitive_cast_integer_as_raw(T24);
      // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:90
      T26 = primitive_machine_word_shift_right(T25,2);
      // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:90
      T27 = primitive_initialized_slot_value(object_,T26);
      // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:90
      CALL1(function_, T27);
      // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:89
      T28 = primitive_machine_word_add_signal_overflow(T7,4);
      // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:89
      T7T = T28;
      goto L0;
    }
    // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:89
    // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:89
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:92
  T8 = Kwalker_defaulted_slot_descriptorsVwalkerI(walker_, class_);
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:92
  T29 = SLOT_VALUE_INITD(T8, 1);
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:92
  T30 = primitive_cast_integer_as_raw(T29);
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:92
  T9T = 1;
L1: ;
    // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:92
    T9 = T9T;
    // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:92
    T31 = primitive_machine_word_equalQ(T9,T30);
    // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:92
    if (T31 == &KPfalseVKi) {
      // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:92
      T32 = REPEATED_D_SLOT_VALUE_TAGGED(T8, 2, T9);
      // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:94
      T33 = SLOT_VALUE_INITD(T32, 1);
      // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:95
      T10 = CALL0(T33);
      // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:95
      CALL1(function_, T10);
      // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:92
      T34 = primitive_machine_word_add_signal_overflow(T9,4);
      // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:92
      T9T = T34;
      goto L1;
    }
    // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:92
    // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:92
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:97
  T11 = Kwalker_deep_slot_descriptorsVwalkerI(walker_, class_);
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:97
  T35 = SLOT_VALUE_INITD(T11, 0);
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:97
  T36 = primitive_cast_integer_as_raw(T35);
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:97
  T12T = 1;
L2: ;
    // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:97
    T12 = T12T;
    // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:97
    T37 = primitive_machine_word_equalQ(T12,T36);
    // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:97
    if (T37 == &KPfalseVKi) {
      // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:97
      T38 = REPEATED_D_SLOT_VALUE_TAGGED(T11, 1, T12);
      // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:98
      T39 = primitive_cast_integer_as_raw(T38);
      // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:98
      T40 = primitive_machine_word_shift_right(T39,2);
      // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:98
      T41 = primitive_initialized_slot_value(object_,T40);
      // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:98
      CONGRUENT_CALL_PROLOG(&Kdeep_walkVwalker, 4);
      CONGRUENT_CALL4(walker_, function_, object_, T41);
      // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:97
      T42 = primitive_machine_word_add_signal_overflow(T12,4);
      // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:97
      T12T = T42;
      goto L2;
    }
    // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:97
    // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:97
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:100
  T43 = Kwalker_repeated_slotQVwalkerMM1I(class_);
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:100
  if (T43 != &KPfalseVKi) {
    // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:101
    CONGRUENT_CALL_PROLOG(&KsizeVKd, 1);
    T13 = CONGRUENT_CALL1(object_);
    // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:101
    i_T = 1;
  L3: ;
      // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:101
      i_ = i_T;
      // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:101
      T45 = primitive_cast_raw_as_integer(i_);
      // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:101
      CONGRUENT_CALL_PROLOG(&KLVKd, 2);
      T15 = CONGRUENT_CALL2(T45, T13);
      // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:101
      if (T15 != &KPfalseVKi) {
        // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:102
        T16 = CALL2(&KelementVKd, object_, T45);
        // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:102
        CONGRUENT_CALL_PROLOG(&Kdeep_walkVwalker, 4);
        CONGRUENT_CALL4(walker_, function_, object_, T16);
        // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:101
        T44 = primitive_machine_word_add_signal_overflow(i_,4);
        // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:101
        i_T = T44;
        goto L3;
      }
      // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:101
      // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:101
      T17 = &KPfalseVKi;
      MV_SET_ELT(0, &KPfalseVKi);
      MV_SET_COUNT(1);
      // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:101
    T19 = T17;
  } else {
    // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:100
    T18 = &KPfalseVKi;
    MV_SET_ELT(0, &KPfalseVKi);
    MV_SET_COUNT(1);
    T19 = T18;
  }
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:100
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:84
  return(T19);
}

D Kdo_deep_walkVwalkerMM1I (D walker_, D function_, D parent_, D object_) {
  D T5;
  D T6;
  D T7;
  D T8;
  _KLsimple_object_vectorGVKd_4 T9 = {&KLsimple_object_vectorGVKdW, (D) 17};
  D T10;
  D T11;
  D T12;

  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:107
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:109
  T6 = SLOT_VALUE_INITD(walker_, 0);
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:109
  T7 = SLOT_VALUE_INITD(T6, 0);
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:109
  T8 = primitive_instanceQ(parent_,T7);
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:109
  if (T8 == &KPfalseVKi) {
    // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:109
    T9.vector_element_[0] = &KJvalue_;
    T9.vector_element_[1] = parent_;
    T9.vector_element_[2] = &KJtype_;
    T9.vector_element_[3] = T7;
    // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:109
    CONGRUENT_CALL_PROLOG(&KmakeVKd, 2);
    T10 = CONGRUENT_CALL2(&KLtype_errorGVKd, &T9);
    // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:109
    CONGRUENT_CALL_PROLOG(&KerrorVKd, 2);
    CONGRUENT_CALL2(T10, &KPempty_vectorVKi);
  }
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:109
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:109
  KputhashVKiI(parent_, T6, object_);
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:110
  CALL1(function_, object_);
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:111
  T11 = SLOT_VALUE_INITD(object_, 0);
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:111
  CONGRUENT_CALL_PROLOG(&Kdeep_walkVwalker, 4);
  CONGRUENT_CALL4(walker_, function_, object_, T11);
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:112
  T12 = SLOT_VALUE_INITD(object_, 1);
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:112
  CONGRUENT_CALL_PROLOG(&Kdeep_walkVwalker, 4);
  T5 = CONGRUENT_CALL4(walker_, function_, object_, T12);
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:107
  return(T5);
}

D Kmaybe_do_deep_walkVwalkerI (D walker_, D function_, D parent_, D object_) {
  D T4;
  D T5;
  D T6;
  D T7;
  _KLsimple_object_vectorGVKd_2 T8 = {&KLsimple_object_vectorGVKdW, (D) 9};
  D T9;
  D T10;

  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:115
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:117
  T7 = SLOT_VALUE_INITD(walker_, 0);
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:117
  T8.vector_element_[0] = &KJdefault_;
  T8.vector_element_[1] = &KPfalseVKi;
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:117
  CONGRUENT_CALL_PROLOG(&KelementVKd, 3);
  T6 = CONGRUENT_CALL3(T7, object_, &T8);
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:117
  T9 = T6;
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:117
  if (T9 != &KPfalseVKi) {
    // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:117
    T4 = &KPfalseVKi;
    MV_SET_ELT(0, &KPfalseVKi);
    MV_SET_COUNT(1);
    T5 = T4;
  } else {
    // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:118
    ENGINE_NODE_CALL_PROLOG(&Kdo_deep_walkVwalker, &K107, 4);
    T10 = ENGINE_NODE_CALL4(&K107, walker_, function_, parent_, object_);
    T5 = T10;
  }
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:117
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:115
  return(T5);
}

D KLwalkerGZ32ZconstructorVwalkerMM0I (D class_, D init_args_) {
  D T3;
  D T4;
  D T5;
  D T6_0;

  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:34
  T3 = primitive_object_allocate_filled(3,&KLwalkerGVwalkerW,2,&KPunboundVKi,0,0,&KPunboundVKi);
  T4 = K120I();
  SLOT_VALUE_SETTER(T4, T3, 0);
  T5 = K119I();
  SLOT_VALUE_SETTER(T5, T3, 1);
  APPLY2(&KinitializeVKd, T3, init_args_);
  T6_0 = T3;
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:34
  MV_SET_COUNT(1);
  return(T6_0);
}

static D K120I () {
  D init_value_;
  D T1_0;

  primitive_type_check(Ddummy_walker_tableVwalker, &KLtableGVKd);
  init_value_ = Ddummy_walker_tableVwalker;
  T1_0 = init_value_;
  MV_SET_COUNT(1);
  return(T1_0);
}

static D K119I () {
  D T0_0;
  D T1;
  D T2_0;

  T2_0 = KLobject_tableGZ32ZconstructorVKiMM0I(&KLobject_tableGVKd, &KPempty_vectorVKi, &KLobjectGVKd, (D) 41, &Kdefault_grow_sizeVKe, &KPfalseVKi);
  T1 = T2_0;
  T0_0 = T1;
  MV_SET_COUNT(1);
  return(T0_0);
}

D Kwalker_repeated_slotQVwalkerMM0I (D class_) {
  D T2;

  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:58
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:59
  T2 = &KPfalseVKi;
  MV_SET_ELT(0, &KPfalseVKi);
  MV_SET_COUNT(1);
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:58
  return(T2);
}


/* SYSTEM INIT CODE */

void _Init_walker__X_walker_for_system () {
  extern D KPresolve_symbolVKiI(D);
{
  D T0;

  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:34
  T0 = KPadd_classVKeI(&KLwalkerGVwalker);
  goto I1;
}
I1:

  return;
}

/* USER INIT CODE */

void _Init_walker__X_walker_for_user () {
{
  D T0;
  D T1;
  D T2_0;

  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:32
  T2_0 = KLobject_tableGZ32ZconstructorVKiMM0I(&KLobject_tableGVKd, &KPempty_vectorVKi, &KLobjectGVKd, (D) 41, &Kdefault_grow_sizeVKe, &KPfalseVKi);
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:32
  T1 = T2_0;
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:32
  Ddummy_walker_tableVwalker = T1;
  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:32
  T0 = &KPfalseVKi;
  goto I0;
}
I0:

{
  D T0;

  // /home/bruce/Development/dylan/opendylan/sources/lib/walker/walker.dylan:41
  T0 = KPadd_a_methodVKnI(&KinitializeVKd, &KinitializeVKdMwalkerM0, &Kwalker_libraryYdylan_userVwalker, &KPfalseVKi, &KPfalseVKi, &KPfalseVKi);
  goto I6;
}
I6:

  return;
}


/* eof */
